## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XNull Class Reference

Inheritance diagram for XNull:

[legend]
Collaboration diagram for XNull:

[legend]
List of all members.

## Public Types

- typedef XObject ParentType

## Public Member Functions

- XNull ()
    Create an XNull.
- XNull (const XNull &source)
    Create an XNull from another.
- virtual ~XNull ()
- virtual const XalanDOMString & getTypeString () const
    Given a request type, return the equivalent string.
- virtual double num () const
    Cast result object to a number.
- virtual bool boolean () const
    Cast result object to a boolean.
- virtual const XalanDOMString & str () const
    Cast result object to a string.
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance.
- virtual double stringLength () const
    Get the length of the string value of the instance..
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject)
    Process a callback request for preferred type information.
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject) const
    Process a callback request for preferred type information.

## Static Public Member Functions

- void initialize ()
    Perform static initialization.
- void terminate ()
    Perform static shut down.

## Member Typedef Documentation

typedef XObject XNull::ParentType

## Constructor & Destructor Documentation

XNull::XNull | ( |  | ) | `[explicit]`

| Create an XNull.

XNull::XNull | ( | const XNull & | source | ) |

  | Create an XNull from another. Parameters:
  source | object to copy
  deepClone | true to copy all children on nodeset nodes

virtual XNull::~XNull | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XNull::boolean | ( |  | ) | const`[virtual]`

| Cast result object to a boolean. Returns: boolean value Reimplemented from XObject.

virtual const XalanDOMString& XNull::getTypeString | ( |  | ) | const`[virtual]`

| Given a request type, return the equivalent string. For diagnostic purposes. Returns: string for type Implements XObject.

void XNull::initialize | ( |  | ) | `[static]`

| Perform static initialization. See class XPathInit.

virtual double XNull::num | ( |  | ) | const`[virtual]`

| Cast result object to a number. Returns: numeric value Reimplemented from XObject.

virtual void XNull::ProcessXObjectTypeCallback | ( | XObjectTypeCallback & | theCallbackObject | ) | const`[virtual]`

  | Process a callback request for preferred type information. Parameters:
  theCallbackObject | object to call back
Implements XObject.

virtual void XNull::ProcessXObjectTypeCallback | ( | XObjectTypeCallback & | theCallbackObject | ) | `[virtual]`

  | Process a callback request for preferred type information. Parameters:
  theCallbackObject | object to call back
Implements XObject.

virtual void XNull::str | ( | FormatterListener & | formatterListener,
|  | MemberFunctionPtr | function
| ) | const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Implements XObject.

virtual const XalanDOMString& XNull::str | ( |  | ) | const`[virtual]`

| Cast result object to a string. Returns: string value Reimplemented from XObject.

virtual double XNull::stringLength | ( |  | ) | const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Implements XObject.

void XNull::terminate | ( |  | ) | `[static]`

| Perform static shut down. See class XPathInit. Reimplemented from XObject.

The documentation for this class was generated from the following file:

- XNull.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.